We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

Two different versions of Syncfusion required for two different projects but both picking the latest only.

Thread ID:

Created:

Updated:

Platform:

Replies:

118177 Feb 9,2015 12:53 AM Feb 9,2015 01:55 PM General Discussion 1
loading
Tags: General Discussion
Shivendra Singh
Asked On February 9, 2015 12:53 AM

Hi,
 
I am working on two Winforms applications and I am using Visual Studio 2013 for both . One application requires sysncfusion version 10.2.0.56 and another requires 12.1.0.43. Earlier both apps were using older version 10.2.0.56. Till then everything was working fine but now one application has been upgraded to syncfusion version 12.1. Now after i installed this latest version of syncfusion on my machine , one application that requires the new version is working fine but another one which requires the older version 10.2.0.56 started throwing error since it is by default picking the latest version. I manually tried to remove that new assembly reference and added older one, but as soon as it gets added to visual studio solution and I check its version it shows the new one 12.1. I also tried keeping syncfusion assembly 10.2 in local bin folder and added from it, but it always picks the new one 12.1. I saw that the new one is in GAC while the older one is not . I don't want to add old syncfusion also to the GAC. Can any one help how can I add old syncfusion version to the project. Thanks in advance.
 
Regards,
Shivendra Singh

Vadivel N [Syncfusion]
Replied On February 9, 2015 01:55 PM

Hi Shivendra ,

We regret fort the inconvenience caused.

You can refer the single version in a project by setting the Syncfusion assemblies Specific Version and Copy Local as True in your project. Please refer the below screenshot.

Copy Local and Specific Version

Note: Syncfusion supports multiple version in GAC. So no need to delete another version assemblies in GAC.

Please make sure the following things before build your application.

1) Multiple versions of Syncfusion assemblies does not referred in your project.

2) Please delete bin and obj folders exist in the application directory.

Please let us know if you need any further assistance on this.

Regards,
Vadivel

CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.

;